IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Network2.240.0.0/14
Usable hosts262,142
Subnet mask255.252.0.0
Addresses262,144
- Network address
2.240.0.0- Broadcast address
2.243.255.255- First usable
2.240.0.1- Last usable
2.243.255.254- Usable hosts
- 262,142 (262,144 less the network and broadcast addresses)
- Subnet mask
255.252.0.0- Wildcard mask
0.3.255.255(Cisco ACLs, OSPF)- Prefix length
- /14
- Type
- Public public
- Old class
- A (default /8)
- As numbers
- Hex
02F00000· Integer49283072to49545215 - Reverse DNS zones
240.2.in-addr.arpa241.2.in-addr.arpa242.2.in-addr.arpa243.2.in-addr.arpa
/14 is not on a 8-bit boundary, so it takes 4 /16 zones.
Binary
| Binary (network bits bold, host bits grey) | Dotted | |
|---|---|---|
| Address | 00000010.11110000.00000000.00000000 | 2.240.0.0 |
| Subnet mask | 11111111.11111100.00000000.00000000 | 255.252.0.0 |
| Network | 00000010.11110000.00000000.00000000 | 2.240.0.0 |
| Broadcast | 00000010.11110011.11111111.11111111 | 2.243.255.255 |
Split into smaller subnets
/15 (2)/16 (4)/17 (8)/18 (16)/19 (32)/20 (64)/21 (128)/22 (256)/23 (512)/24 (1,024)/25 (2,048)/26 (4,096)
2.240.0.0/14 makes 512 subnets of /23; the first 256 are listed.
| # | Subnet | Usable hosts range | Broadcast | Hosts |
|---|---|---|---|---|
| 1 | 2.240.0.0/23 | 2.240.0.1 to 2.240.1.254 | 2.240.1.255 | 510 |
| 2 | 2.240.2.0/23 | 2.240.2.1 to 2.240.3.254 | 2.240.3.255 | 510 |
| 3 | 2.240.4.0/23 | 2.240.4.1 to 2.240.5.254 | 2.240.5.255 | 510 |
| 4 | 2.240.6.0/23 | 2.240.6.1 to 2.240.7.254 | 2.240.7.255 | 510 |
| 5 | 2.240.8.0/23 | 2.240.8.1 to 2.240.9.254 | 2.240.9.255 | 510 |
| 6 | 2.240.10.0/23 | 2.240.10.1 to 2.240.11.254 | 2.240.11.255 | 510 |
| 7 | 2.240.12.0/23 | 2.240.12.1 to 2.240.13.254 | 2.240.13.255 | 510 |
| 8 | 2.240.14.0/23 | 2.240.14.1 to 2.240.15.254 | 2.240.15.255 | 510 |
| 9 | 2.240.16.0/23 | 2.240.16.1 to 2.240.17.254 | 2.240.17.255 | 510 |
| 10 | 2.240.18.0/23 | 2.240.18.1 to 2.240.19.254 | 2.240.19.255 | 510 |
| 11 | 2.240.20.0/23 | 2.240.20.1 to 2.240.21.254 | 2.240.21.255 | 510 |
| 12 | 2.240.22.0/23 | 2.240.22.1 to 2.240.23.254 | 2.240.23.255 | 510 |
| 13 | 2.240.24.0/23 | 2.240.24.1 to 2.240.25.254 | 2.240.25.255 | 510 |
| 14 | 2.240.26.0/23 | 2.240.26.1 to 2.240.27.254 | 2.240.27.255 | 510 |
| 15 | 2.240.28.0/23 | 2.240.28.1 to 2.240.29.254 | 2.240.29.255 | 510 |
| 16 | 2.240.30.0/23 | 2.240.30.1 to 2.240.31.254 | 2.240.31.255 | 510 |
| 17 | 2.240.32.0/23 | 2.240.32.1 to 2.240.33.254 | 2.240.33.255 | 510 |
| 18 | 2.240.34.0/23 | 2.240.34.1 to 2.240.35.254 | 2.240.35.255 | 510 |
| 19 | 2.240.36.0/23 | 2.240.36.1 to 2.240.37.254 | 2.240.37.255 | 510 |
| 20 | 2.240.38.0/23 | 2.240.38.1 to 2.240.39.254 | 2.240.39.255 | 510 |
| 21 | 2.240.40.0/23 | 2.240.40.1 to 2.240.41.254 | 2.240.41.255 | 510 |
| 22 | 2.240.42.0/23 | 2.240.42.1 to 2.240.43.254 | 2.240.43.255 | 510 |
| 23 | 2.240.44.0/23 | 2.240.44.1 to 2.240.45.254 | 2.240.45.255 | 510 |
| 24 | 2.240.46.0/23 | 2.240.46.1 to 2.240.47.254 | 2.240.47.255 | 510 |
| 25 | 2.240.48.0/23 | 2.240.48.1 to 2.240.49.254 | 2.240.49.255 | 510 |
| 26 | 2.240.50.0/23 | 2.240.50.1 to 2.240.51.254 | 2.240.51.255 | 510 |
| 27 | 2.240.52.0/23 | 2.240.52.1 to 2.240.53.254 | 2.240.53.255 | 510 |
| 28 | 2.240.54.0/23 | 2.240.54.1 to 2.240.55.254 | 2.240.55.255 | 510 |
| 29 | 2.240.56.0/23 | 2.240.56.1 to 2.240.57.254 | 2.240.57.255 | 510 |
| 30 | 2.240.58.0/23 | 2.240.58.1 to 2.240.59.254 | 2.240.59.255 | 510 |
| 31 | 2.240.60.0/23 | 2.240.60.1 to 2.240.61.254 | 2.240.61.255 | 510 |
| 32 | 2.240.62.0/23 | 2.240.62.1 to 2.240.63.254 | 2.240.63.255 | 510 |
| 33 | 2.240.64.0/23 | 2.240.64.1 to 2.240.65.254 | 2.240.65.255 | 510 |
| 34 | 2.240.66.0/23 | 2.240.66.1 to 2.240.67.254 | 2.240.67.255 | 510 |
| 35 | 2.240.68.0/23 | 2.240.68.1 to 2.240.69.254 | 2.240.69.255 | 510 |
| 36 | 2.240.70.0/23 | 2.240.70.1 to 2.240.71.254 | 2.240.71.255 | 510 |
| 37 | 2.240.72.0/23 | 2.240.72.1 to 2.240.73.254 | 2.240.73.255 | 510 |
| 38 | 2.240.74.0/23 | 2.240.74.1 to 2.240.75.254 | 2.240.75.255 | 510 |
| 39 | 2.240.76.0/23 | 2.240.76.1 to 2.240.77.254 | 2.240.77.255 | 510 |
| 40 | 2.240.78.0/23 | 2.240.78.1 to 2.240.79.254 | 2.240.79.255 | 510 |
| 41 | 2.240.80.0/23 | 2.240.80.1 to 2.240.81.254 | 2.240.81.255 | 510 |
| 42 | 2.240.82.0/23 | 2.240.82.1 to 2.240.83.254 | 2.240.83.255 | 510 |
| 43 | 2.240.84.0/23 | 2.240.84.1 to 2.240.85.254 | 2.240.85.255 | 510 |
| 44 | 2.240.86.0/23 | 2.240.86.1 to 2.240.87.254 | 2.240.87.255 | 510 |
| 45 | 2.240.88.0/23 | 2.240.88.1 to 2.240.89.254 | 2.240.89.255 | 510 |
| 46 | 2.240.90.0/23 | 2.240.90.1 to 2.240.91.254 | 2.240.91.255 | 510 |
| 47 | 2.240.92.0/23 | 2.240.92.1 to 2.240.93.254 | 2.240.93.255 | 510 |
| 48 | 2.240.94.0/23 | 2.240.94.1 to 2.240.95.254 | 2.240.95.255 | 510 |
| 49 | 2.240.96.0/23 | 2.240.96.1 to 2.240.97.254 | 2.240.97.255 | 510 |
| 50 | 2.240.98.0/23 | 2.240.98.1 to 2.240.99.254 | 2.240.99.255 | 510 |
| 51 | 2.240.100.0/23 | 2.240.100.1 to 2.240.101.254 | 2.240.101.255 | 510 |
| 52 | 2.240.102.0/23 | 2.240.102.1 to 2.240.103.254 | 2.240.103.255 | 510 |
| 53 | 2.240.104.0/23 | 2.240.104.1 to 2.240.105.254 | 2.240.105.255 | 510 |
| 54 | 2.240.106.0/23 | 2.240.106.1 to 2.240.107.254 | 2.240.107.255 | 510 |
| 55 | 2.240.108.0/23 | 2.240.108.1 to 2.240.109.254 | 2.240.109.255 | 510 |
| 56 | 2.240.110.0/23 | 2.240.110.1 to 2.240.111.254 | 2.240.111.255 | 510 |
| 57 | 2.240.112.0/23 | 2.240.112.1 to 2.240.113.254 | 2.240.113.255 | 510 |
| 58 | 2.240.114.0/23 | 2.240.114.1 to 2.240.115.254 | 2.240.115.255 | 510 |
| 59 | 2.240.116.0/23 | 2.240.116.1 to 2.240.117.254 | 2.240.117.255 | 510 |
| 60 | 2.240.118.0/23 | 2.240.118.1 to 2.240.119.254 | 2.240.119.255 | 510 |
| 61 | 2.240.120.0/23 | 2.240.120.1 to 2.240.121.254 | 2.240.121.255 | 510 |
| 62 | 2.240.122.0/23 | 2.240.122.1 to 2.240.123.254 | 2.240.123.255 | 510 |
| 63 | 2.240.124.0/23 | 2.240.124.1 to 2.240.125.254 | 2.240.125.255 | 510 |
| 64 | 2.240.126.0/23 | 2.240.126.1 to 2.240.127.254 | 2.240.127.255 | 510 |
| 65 | 2.240.128.0/23 | 2.240.128.1 to 2.240.129.254 | 2.240.129.255 | 510 |
| 66 | 2.240.130.0/23 | 2.240.130.1 to 2.240.131.254 | 2.240.131.255 | 510 |
| 67 | 2.240.132.0/23 | 2.240.132.1 to 2.240.133.254 | 2.240.133.255 | 510 |
| 68 | 2.240.134.0/23 | 2.240.134.1 to 2.240.135.254 | 2.240.135.255 | 510 |
| 69 | 2.240.136.0/23 | 2.240.136.1 to 2.240.137.254 | 2.240.137.255 | 510 |
| 70 | 2.240.138.0/23 | 2.240.138.1 to 2.240.139.254 | 2.240.139.255 | 510 |
| 71 | 2.240.140.0/23 | 2.240.140.1 to 2.240.141.254 | 2.240.141.255 | 510 |
| 72 | 2.240.142.0/23 | 2.240.142.1 to 2.240.143.254 | 2.240.143.255 | 510 |
| 73 | 2.240.144.0/23 | 2.240.144.1 to 2.240.145.254 | 2.240.145.255 | 510 |
| 74 | 2.240.146.0/23 | 2.240.146.1 to 2.240.147.254 | 2.240.147.255 | 510 |
| 75 | 2.240.148.0/23 | 2.240.148.1 to 2.240.149.254 | 2.240.149.255 | 510 |
| 76 | 2.240.150.0/23 | 2.240.150.1 to 2.240.151.254 | 2.240.151.255 | 510 |
| 77 | 2.240.152.0/23 | 2.240.152.1 to 2.240.153.254 | 2.240.153.255 | 510 |
| 78 | 2.240.154.0/23 | 2.240.154.1 to 2.240.155.254 | 2.240.155.255 | 510 |
| 79 | 2.240.156.0/23 | 2.240.156.1 to 2.240.157.254 | 2.240.157.255 | 510 |
| 80 | 2.240.158.0/23 | 2.240.158.1 to 2.240.159.254 | 2.240.159.255 | 510 |
| 81 | 2.240.160.0/23 | 2.240.160.1 to 2.240.161.254 | 2.240.161.255 | 510 |
| 82 | 2.240.162.0/23 | 2.240.162.1 to 2.240.163.254 | 2.240.163.255 | 510 |
| 83 | 2.240.164.0/23 | 2.240.164.1 to 2.240.165.254 | 2.240.165.255 | 510 |
| 84 | 2.240.166.0/23 | 2.240.166.1 to 2.240.167.254 | 2.240.167.255 | 510 |
| 85 | 2.240.168.0/23 | 2.240.168.1 to 2.240.169.254 | 2.240.169.255 | 510 |
| 86 | 2.240.170.0/23 | 2.240.170.1 to 2.240.171.254 | 2.240.171.255 | 510 |
| 87 | 2.240.172.0/23 | 2.240.172.1 to 2.240.173.254 | 2.240.173.255 | 510 |
| 88 | 2.240.174.0/23 | 2.240.174.1 to 2.240.175.254 | 2.240.175.255 | 510 |
| 89 | 2.240.176.0/23 | 2.240.176.1 to 2.240.177.254 | 2.240.177.255 | 510 |
| 90 | 2.240.178.0/23 | 2.240.178.1 to 2.240.179.254 | 2.240.179.255 | 510 |
| 91 | 2.240.180.0/23 | 2.240.180.1 to 2.240.181.254 | 2.240.181.255 | 510 |
| 92 | 2.240.182.0/23 | 2.240.182.1 to 2.240.183.254 | 2.240.183.255 | 510 |
| 93 | 2.240.184.0/23 | 2.240.184.1 to 2.240.185.254 | 2.240.185.255 | 510 |
| 94 | 2.240.186.0/23 | 2.240.186.1 to 2.240.187.254 | 2.240.187.255 | 510 |
| 95 | 2.240.188.0/23 | 2.240.188.1 to 2.240.189.254 | 2.240.189.255 | 510 |
| 96 | 2.240.190.0/23 | 2.240.190.1 to 2.240.191.254 | 2.240.191.255 | 510 |
| 97 | 2.240.192.0/23 | 2.240.192.1 to 2.240.193.254 | 2.240.193.255 | 510 |
| 98 | 2.240.194.0/23 | 2.240.194.1 to 2.240.195.254 | 2.240.195.255 | 510 |
| 99 | 2.240.196.0/23 | 2.240.196.1 to 2.240.197.254 | 2.240.197.255 | 510 |
| 100 | 2.240.198.0/23 | 2.240.198.1 to 2.240.199.254 | 2.240.199.255 | 510 |
| 101 | 2.240.200.0/23 | 2.240.200.1 to 2.240.201.254 | 2.240.201.255 | 510 |
| 102 | 2.240.202.0/23 | 2.240.202.1 to 2.240.203.254 | 2.240.203.255 | 510 |
| 103 | 2.240.204.0/23 | 2.240.204.1 to 2.240.205.254 | 2.240.205.255 | 510 |
| 104 | 2.240.206.0/23 | 2.240.206.1 to 2.240.207.254 | 2.240.207.255 | 510 |
| 105 | 2.240.208.0/23 | 2.240.208.1 to 2.240.209.254 | 2.240.209.255 | 510 |
| 106 | 2.240.210.0/23 | 2.240.210.1 to 2.240.211.254 | 2.240.211.255 | 510 |
| 107 | 2.240.212.0/23 | 2.240.212.1 to 2.240.213.254 | 2.240.213.255 | 510 |
| 108 | 2.240.214.0/23 | 2.240.214.1 to 2.240.215.254 | 2.240.215.255 | 510 |
| 109 | 2.240.216.0/23 | 2.240.216.1 to 2.240.217.254 | 2.240.217.255 | 510 |
| 110 | 2.240.218.0/23 | 2.240.218.1 to 2.240.219.254 | 2.240.219.255 | 510 |
| 111 | 2.240.220.0/23 | 2.240.220.1 to 2.240.221.254 | 2.240.221.255 | 510 |
| 112 | 2.240.222.0/23 | 2.240.222.1 to 2.240.223.254 | 2.240.223.255 | 510 |
| 113 | 2.240.224.0/23 | 2.240.224.1 to 2.240.225.254 | 2.240.225.255 | 510 |
| 114 | 2.240.226.0/23 | 2.240.226.1 to 2.240.227.254 | 2.240.227.255 | 510 |
| 115 | 2.240.228.0/23 | 2.240.228.1 to 2.240.229.254 | 2.240.229.255 | 510 |
| 116 | 2.240.230.0/23 | 2.240.230.1 to 2.240.231.254 | 2.240.231.255 | 510 |
| 117 | 2.240.232.0/23 | 2.240.232.1 to 2.240.233.254 | 2.240.233.255 | 510 |
| 118 | 2.240.234.0/23 | 2.240.234.1 to 2.240.235.254 | 2.240.235.255 | 510 |
| 119 | 2.240.236.0/23 | 2.240.236.1 to 2.240.237.254 | 2.240.237.255 | 510 |
| 120 | 2.240.238.0/23 | 2.240.238.1 to 2.240.239.254 | 2.240.239.255 | 510 |
| 121 | 2.240.240.0/23 | 2.240.240.1 to 2.240.241.254 | 2.240.241.255 | 510 |
| 122 | 2.240.242.0/23 | 2.240.242.1 to 2.240.243.254 | 2.240.243.255 | 510 |
| 123 | 2.240.244.0/23 | 2.240.244.1 to 2.240.245.254 | 2.240.245.255 | 510 |
| 124 | 2.240.246.0/23 | 2.240.246.1 to 2.240.247.254 | 2.240.247.255 | 510 |
| 125 | 2.240.248.0/23 | 2.240.248.1 to 2.240.249.254 | 2.240.249.255 | 510 |
| 126 | 2.240.250.0/23 | 2.240.250.1 to 2.240.251.254 | 2.240.251.255 | 510 |
| 127 | 2.240.252.0/23 | 2.240.252.1 to 2.240.253.254 | 2.240.253.255 | 510 |
| 128 | 2.240.254.0/23 | 2.240.254.1 to 2.240.255.254 | 2.240.255.255 | 510 |
| 129 | 2.241.0.0/23 | 2.241.0.1 to 2.241.1.254 | 2.241.1.255 | 510 |
| 130 | 2.241.2.0/23 | 2.241.2.1 to 2.241.3.254 | 2.241.3.255 | 510 |
| 131 | 2.241.4.0/23 | 2.241.4.1 to 2.241.5.254 | 2.241.5.255 | 510 |
| 132 | 2.241.6.0/23 | 2.241.6.1 to 2.241.7.254 | 2.241.7.255 | 510 |
| 133 | 2.241.8.0/23 | 2.241.8.1 to 2.241.9.254 | 2.241.9.255 | 510 |
| 134 | 2.241.10.0/23 | 2.241.10.1 to 2.241.11.254 | 2.241.11.255 | 510 |
| 135 | 2.241.12.0/23 | 2.241.12.1 to 2.241.13.254 | 2.241.13.255 | 510 |
| 136 | 2.241.14.0/23 | 2.241.14.1 to 2.241.15.254 | 2.241.15.255 | 510 |
| 137 | 2.241.16.0/23 | 2.241.16.1 to 2.241.17.254 | 2.241.17.255 | 510 |
| 138 | 2.241.18.0/23 | 2.241.18.1 to 2.241.19.254 | 2.241.19.255 | 510 |
| 139 | 2.241.20.0/23 | 2.241.20.1 to 2.241.21.254 | 2.241.21.255 | 510 |
| 140 | 2.241.22.0/23 | 2.241.22.1 to 2.241.23.254 | 2.241.23.255 | 510 |
| 141 | 2.241.24.0/23 | 2.241.24.1 to 2.241.25.254 | 2.241.25.255 | 510 |
| 142 | 2.241.26.0/23 | 2.241.26.1 to 2.241.27.254 | 2.241.27.255 | 510 |
| 143 | 2.241.28.0/23 | 2.241.28.1 to 2.241.29.254 | 2.241.29.255 | 510 |
| 144 | 2.241.30.0/23 | 2.241.30.1 to 2.241.31.254 | 2.241.31.255 | 510 |
| 145 | 2.241.32.0/23 | 2.241.32.1 to 2.241.33.254 | 2.241.33.255 | 510 |
| 146 | 2.241.34.0/23 | 2.241.34.1 to 2.241.35.254 | 2.241.35.255 | 510 |
| 147 | 2.241.36.0/23 | 2.241.36.1 to 2.241.37.254 | 2.241.37.255 | 510 |
| 148 | 2.241.38.0/23 | 2.241.38.1 to 2.241.39.254 | 2.241.39.255 | 510 |
| 149 | 2.241.40.0/23 | 2.241.40.1 to 2.241.41.254 | 2.241.41.255 | 510 |
| 150 | 2.241.42.0/23 | 2.241.42.1 to 2.241.43.254 | 2.241.43.255 | 510 |
| 151 | 2.241.44.0/23 | 2.241.44.1 to 2.241.45.254 | 2.241.45.255 | 510 |
| 152 | 2.241.46.0/23 | 2.241.46.1 to 2.241.47.254 | 2.241.47.255 | 510 |
| 153 | 2.241.48.0/23 | 2.241.48.1 to 2.241.49.254 | 2.241.49.255 | 510 |
| 154 | 2.241.50.0/23 | 2.241.50.1 to 2.241.51.254 | 2.241.51.255 | 510 |
| 155 | 2.241.52.0/23 | 2.241.52.1 to 2.241.53.254 | 2.241.53.255 | 510 |
| 156 | 2.241.54.0/23 | 2.241.54.1 to 2.241.55.254 | 2.241.55.255 | 510 |
| 157 | 2.241.56.0/23 | 2.241.56.1 to 2.241.57.254 | 2.241.57.255 | 510 |
| 158 | 2.241.58.0/23 | 2.241.58.1 to 2.241.59.254 | 2.241.59.255 | 510 |
| 159 | 2.241.60.0/23 | 2.241.60.1 to 2.241.61.254 | 2.241.61.255 | 510 |
| 160 | 2.241.62.0/23 | 2.241.62.1 to 2.241.63.254 | 2.241.63.255 | 510 |
| 161 | 2.241.64.0/23 | 2.241.64.1 to 2.241.65.254 | 2.241.65.255 | 510 |
| 162 | 2.241.66.0/23 | 2.241.66.1 to 2.241.67.254 | 2.241.67.255 | 510 |
| 163 | 2.241.68.0/23 | 2.241.68.1 to 2.241.69.254 | 2.241.69.255 | 510 |
| 164 | 2.241.70.0/23 | 2.241.70.1 to 2.241.71.254 | 2.241.71.255 | 510 |
| 165 | 2.241.72.0/23 | 2.241.72.1 to 2.241.73.254 | 2.241.73.255 | 510 |
| 166 | 2.241.74.0/23 | 2.241.74.1 to 2.241.75.254 | 2.241.75.255 | 510 |
| 167 | 2.241.76.0/23 | 2.241.76.1 to 2.241.77.254 | 2.241.77.255 | 510 |
| 168 | 2.241.78.0/23 | 2.241.78.1 to 2.241.79.254 | 2.241.79.255 | 510 |
| 169 | 2.241.80.0/23 | 2.241.80.1 to 2.241.81.254 | 2.241.81.255 | 510 |
| 170 | 2.241.82.0/23 | 2.241.82.1 to 2.241.83.254 | 2.241.83.255 | 510 |
| 171 | 2.241.84.0/23 | 2.241.84.1 to 2.241.85.254 | 2.241.85.255 | 510 |
| 172 | 2.241.86.0/23 | 2.241.86.1 to 2.241.87.254 | 2.241.87.255 | 510 |
| 173 | 2.241.88.0/23 | 2.241.88.1 to 2.241.89.254 | 2.241.89.255 | 510 |
| 174 | 2.241.90.0/23 | 2.241.90.1 to 2.241.91.254 | 2.241.91.255 | 510 |
| 175 | 2.241.92.0/23 | 2.241.92.1 to 2.241.93.254 | 2.241.93.255 | 510 |
| 176 | 2.241.94.0/23 | 2.241.94.1 to 2.241.95.254 | 2.241.95.255 | 510 |
| 177 | 2.241.96.0/23 | 2.241.96.1 to 2.241.97.254 | 2.241.97.255 | 510 |
| 178 | 2.241.98.0/23 | 2.241.98.1 to 2.241.99.254 | 2.241.99.255 | 510 |
| 179 | 2.241.100.0/23 | 2.241.100.1 to 2.241.101.254 | 2.241.101.255 | 510 |
| 180 | 2.241.102.0/23 | 2.241.102.1 to 2.241.103.254 | 2.241.103.255 | 510 |
| 181 | 2.241.104.0/23 | 2.241.104.1 to 2.241.105.254 | 2.241.105.255 | 510 |
| 182 | 2.241.106.0/23 | 2.241.106.1 to 2.241.107.254 | 2.241.107.255 | 510 |
| 183 | 2.241.108.0/23 | 2.241.108.1 to 2.241.109.254 | 2.241.109.255 | 510 |
| 184 | 2.241.110.0/23 | 2.241.110.1 to 2.241.111.254 | 2.241.111.255 | 510 |
| 185 | 2.241.112.0/23 | 2.241.112.1 to 2.241.113.254 | 2.241.113.255 | 510 |
| 186 | 2.241.114.0/23 | 2.241.114.1 to 2.241.115.254 | 2.241.115.255 | 510 |
| 187 | 2.241.116.0/23 | 2.241.116.1 to 2.241.117.254 | 2.241.117.255 | 510 |
| 188 | 2.241.118.0/23 | 2.241.118.1 to 2.241.119.254 | 2.241.119.255 | 510 |
| 189 | 2.241.120.0/23 | 2.241.120.1 to 2.241.121.254 | 2.241.121.255 | 510 |
| 190 | 2.241.122.0/23 | 2.241.122.1 to 2.241.123.254 | 2.241.123.255 | 510 |
| 191 | 2.241.124.0/23 | 2.241.124.1 to 2.241.125.254 | 2.241.125.255 | 510 |
| 192 | 2.241.126.0/23 | 2.241.126.1 to 2.241.127.254 | 2.241.127.255 | 510 |
| 193 | 2.241.128.0/23 | 2.241.128.1 to 2.241.129.254 | 2.241.129.255 | 510 |
| 194 | 2.241.130.0/23 | 2.241.130.1 to 2.241.131.254 | 2.241.131.255 | 510 |
| 195 | 2.241.132.0/23 | 2.241.132.1 to 2.241.133.254 | 2.241.133.255 | 510 |
| 196 | 2.241.134.0/23 | 2.241.134.1 to 2.241.135.254 | 2.241.135.255 | 510 |
| 197 | 2.241.136.0/23 | 2.241.136.1 to 2.241.137.254 | 2.241.137.255 | 510 |
| 198 | 2.241.138.0/23 | 2.241.138.1 to 2.241.139.254 | 2.241.139.255 | 510 |
| 199 | 2.241.140.0/23 | 2.241.140.1 to 2.241.141.254 | 2.241.141.255 | 510 |
| 200 | 2.241.142.0/23 | 2.241.142.1 to 2.241.143.254 | 2.241.143.255 | 510 |
| 201 | 2.241.144.0/23 | 2.241.144.1 to 2.241.145.254 | 2.241.145.255 | 510 |
| 202 | 2.241.146.0/23 | 2.241.146.1 to 2.241.147.254 | 2.241.147.255 | 510 |
| 203 | 2.241.148.0/23 | 2.241.148.1 to 2.241.149.254 | 2.241.149.255 | 510 |
| 204 | 2.241.150.0/23 | 2.241.150.1 to 2.241.151.254 | 2.241.151.255 | 510 |
| 205 | 2.241.152.0/23 | 2.241.152.1 to 2.241.153.254 | 2.241.153.255 | 510 |
| 206 | 2.241.154.0/23 | 2.241.154.1 to 2.241.155.254 | 2.241.155.255 | 510 |
| 207 | 2.241.156.0/23 | 2.241.156.1 to 2.241.157.254 | 2.241.157.255 | 510 |
| 208 | 2.241.158.0/23 | 2.241.158.1 to 2.241.159.254 | 2.241.159.255 | 510 |
| 209 | 2.241.160.0/23 | 2.241.160.1 to 2.241.161.254 | 2.241.161.255 | 510 |
| 210 | 2.241.162.0/23 | 2.241.162.1 to 2.241.163.254 | 2.241.163.255 | 510 |
| 211 | 2.241.164.0/23 | 2.241.164.1 to 2.241.165.254 | 2.241.165.255 | 510 |
| 212 | 2.241.166.0/23 | 2.241.166.1 to 2.241.167.254 | 2.241.167.255 | 510 |
| 213 | 2.241.168.0/23 | 2.241.168.1 to 2.241.169.254 | 2.241.169.255 | 510 |
| 214 | 2.241.170.0/23 | 2.241.170.1 to 2.241.171.254 | 2.241.171.255 | 510 |
| 215 | 2.241.172.0/23 | 2.241.172.1 to 2.241.173.254 | 2.241.173.255 | 510 |
| 216 | 2.241.174.0/23 | 2.241.174.1 to 2.241.175.254 | 2.241.175.255 | 510 |
| 217 | 2.241.176.0/23 | 2.241.176.1 to 2.241.177.254 | 2.241.177.255 | 510 |
| 218 | 2.241.178.0/23 | 2.241.178.1 to 2.241.179.254 | 2.241.179.255 | 510 |
| 219 | 2.241.180.0/23 | 2.241.180.1 to 2.241.181.254 | 2.241.181.255 | 510 |
| 220 | 2.241.182.0/23 | 2.241.182.1 to 2.241.183.254 | 2.241.183.255 | 510 |
| 221 | 2.241.184.0/23 | 2.241.184.1 to 2.241.185.254 | 2.241.185.255 | 510 |
| 222 | 2.241.186.0/23 | 2.241.186.1 to 2.241.187.254 | 2.241.187.255 | 510 |
| 223 | 2.241.188.0/23 | 2.241.188.1 to 2.241.189.254 | 2.241.189.255 | 510 |
| 224 | 2.241.190.0/23 | 2.241.190.1 to 2.241.191.254 | 2.241.191.255 | 510 |
| 225 | 2.241.192.0/23 | 2.241.192.1 to 2.241.193.254 | 2.241.193.255 | 510 |
| 226 | 2.241.194.0/23 | 2.241.194.1 to 2.241.195.254 | 2.241.195.255 | 510 |
| 227 | 2.241.196.0/23 | 2.241.196.1 to 2.241.197.254 | 2.241.197.255 | 510 |
| 228 | 2.241.198.0/23 | 2.241.198.1 to 2.241.199.254 | 2.241.199.255 | 510 |
| 229 | 2.241.200.0/23 | 2.241.200.1 to 2.241.201.254 | 2.241.201.255 | 510 |
| 230 | 2.241.202.0/23 | 2.241.202.1 to 2.241.203.254 | 2.241.203.255 | 510 |
| 231 | 2.241.204.0/23 | 2.241.204.1 to 2.241.205.254 | 2.241.205.255 | 510 |
| 232 | 2.241.206.0/23 | 2.241.206.1 to 2.241.207.254 | 2.241.207.255 | 510 |
| 233 | 2.241.208.0/23 | 2.241.208.1 to 2.241.209.254 | 2.241.209.255 | 510 |
| 234 | 2.241.210.0/23 | 2.241.210.1 to 2.241.211.254 | 2.241.211.255 | 510 |
| 235 | 2.241.212.0/23 | 2.241.212.1 to 2.241.213.254 | 2.241.213.255 | 510 |
| 236 | 2.241.214.0/23 | 2.241.214.1 to 2.241.215.254 | 2.241.215.255 | 510 |
| 237 | 2.241.216.0/23 | 2.241.216.1 to 2.241.217.254 | 2.241.217.255 | 510 |
| 238 | 2.241.218.0/23 | 2.241.218.1 to 2.241.219.254 | 2.241.219.255 | 510 |
| 239 | 2.241.220.0/23 | 2.241.220.1 to 2.241.221.254 | 2.241.221.255 | 510 |
| 240 | 2.241.222.0/23 | 2.241.222.1 to 2.241.223.254 | 2.241.223.255 | 510 |
| 241 | 2.241.224.0/23 | 2.241.224.1 to 2.241.225.254 | 2.241.225.255 | 510 |
| 242 | 2.241.226.0/23 | 2.241.226.1 to 2.241.227.254 | 2.241.227.255 | 510 |
| 243 | 2.241.228.0/23 | 2.241.228.1 to 2.241.229.254 | 2.241.229.255 | 510 |
| 244 | 2.241.230.0/23 | 2.241.230.1 to 2.241.231.254 | 2.241.231.255 | 510 |
| 245 | 2.241.232.0/23 | 2.241.232.1 to 2.241.233.254 | 2.241.233.255 | 510 |
| 246 | 2.241.234.0/23 | 2.241.234.1 to 2.241.235.254 | 2.241.235.255 | 510 |
| 247 | 2.241.236.0/23 | 2.241.236.1 to 2.241.237.254 | 2.241.237.255 | 510 |
| 248 | 2.241.238.0/23 | 2.241.238.1 to 2.241.239.254 | 2.241.239.255 | 510 |
| 249 | 2.241.240.0/23 | 2.241.240.1 to 2.241.241.254 | 2.241.241.255 | 510 |
| 250 | 2.241.242.0/23 | 2.241.242.1 to 2.241.243.254 | 2.241.243.255 | 510 |
| 251 | 2.241.244.0/23 | 2.241.244.1 to 2.241.245.254 | 2.241.245.255 | 510 |
| 252 | 2.241.246.0/23 | 2.241.246.1 to 2.241.247.254 | 2.241.247.255 | 510 |
| 253 | 2.241.248.0/23 | 2.241.248.1 to 2.241.249.254 | 2.241.249.255 | 510 |
| 254 | 2.241.250.0/23 | 2.241.250.1 to 2.241.251.254 | 2.241.251.255 | 510 |
| 255 | 2.241.252.0/23 | 2.241.252.1 to 2.241.253.254 | 2.241.253.255 | 510 |
| 256 | 2.241.254.0/23 | 2.241.254.1 to 2.241.255.254 | 2.241.255.255 | 510 |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |